Composer API โ
Generate Metadata โ
prolog
POST /composer/metadata?includes=:includesAuthorization Required โ
| OAuth | APIKey |
|---|---|
| Yes | Yes |
Parameters โ
| Parameter | Type | Description |
|---|---|---|
includes | string | The includes to generate. Use slug, summary, tags. Use comma to separate multiple values. Default is slug,summary,tags. |
Request Body โ
json
{
"title": "Post Title",
"content": "Post Content"
}Response โ
json
{
"data": {
"slug": "post-slug",
"summary": "Post Summary",
"tags": "tag1,tag2,tag3"
},
"ts": 1723923923
}Generate Tweets โ
prolog
POST /composer/generate-tweetsAuthorization Required โ
| OAuth | APIKey |
|---|---|
| Yes | Yes |
Request Body โ
json
{
"title": "Post Title",
"content": "Post Content"
}Response โ
json
{
"data": {
"tweets": "..."
},
"ts": 1723923923
}Search Unsplash Photos โ
prolog
GET /composer/unsplash/photos/search?query=:query&page=:page&limit=:limitAuthorization Required โ
| OAuth | APIKey |
|---|---|
| Yes | Yes |
Query Parameters โ
| Parameter | Type | Description |
|---|---|---|
query | string | Search keyword (required). |
page | number | Page number (default: 1). |
limit | number | Page size (default: 10). |
Response โ
Returns the Unsplash search response payload.
Trigger Unsplash Download URL โ
prolog
GET /composer/unsplash/photos/download_url?endpoint=:endpointAuthorization Required โ
| OAuth | APIKey |
|---|---|
| Yes | Yes |
Query Parameters โ
| Parameter | Type | Description |
|---|---|---|
endpoint | string | Unsplash download endpoint. |
Response โ
json
{
"data": {
"url": "https://..."
},
"ts": 1723923923
}